Bug 589751 - Unable to configure FreeIPA authentication
Unable to configure FreeIPA authentication
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 15:55 EDT by Stjepan Gros
Modified: 2010-05-25 14:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: authconfig-6.1.4-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 14:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stjepan Gros 2010-05-06 15:55:08 EDT
Description of problem:
When trying to configure authentication against FreeIPA using authconfig-gtk, an error is reported immediately after selecting FreeIPA for 'User Account Database' and  'Authentication Method' field is grayed out.

Version-Release number of selected component (if applicable):


How reproducible:
authconfig-gtk-6.1.3-1.fc13.x86_64

Steps to Reproduce:
1. Start authconfig-gtk
2. Select FreeIPA in the 'User Account Database'
  
Actual results:
Error message:

Traceback (most recent call last):
  File "/usr/share/authconfig/authconfig-gtk.py", line 487, in idcombochanged
    self.currauth)
  File "/usr/share/authconfig/authconfig-gtk.py", line 450, in set_combo
    widget.append_text(textmap[entry][0])
KeyError: 'K'

Expected results:
Ability to configure FreeIPA as authentication source.

Additional info:
I'm running authconfig on Fedora 12, but I think that the same behavior is in F-13 also.
Comment 1 Fedora Update System 2010-05-07 03:45:36 EDT
authconfig-6.1.4-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/authconfig-6.1.4-2.fc13
Comment 2 Fedora Update System 2010-05-08 12:10:49 EDT
authconfig-6.1.4-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update authconfig'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/authconfig-6.1.4-2.fc13
Comment 3 Fedora Update System 2010-05-25 14:36:18 EDT
authconfig-6.1.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.